## org.apache.felix.bundleplugin
Class BlueprintPlugin.Attribute

    java.lang.Object
      org.apache.felix.bundleplugin.BlueprintPlugin.Attribute

All Implemented Interfaces:
  java.lang.Comparable<BlueprintPlugin.Attribute>

Enclosing class:
  BlueprintPlugin

    public static class BlueprintPlugin.Attribute

extends java.lang.Object
implements java.lang.Comparable<BlueprintPlugin.Attribute>

Constructor Summary
`BlueprintPlugin.Attribute(java.lang.String name, java.util.Map<java.lang.String,java.lang.String> properties)`

Method Summary
`int` `compareTo(BlueprintPlugin.Attribute a)`
`boolean` `equals(java.lang.Object o)`
`java.lang.String` `getName()`
`java.util.Map<java.lang.String,java.lang.String>` `getProperties()`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlueprintPlugin.Attribute

    public BlueprintPlugin.Attribute(java.lang.String name,
                                     java.util.Map<java.lang.String,java.lang.String> properties)

Method Detail

### getName

    public java.lang.String getName()

### getProperties

    public java.util.Map<java.lang.String,java.lang.String> getProperties()

### compareTo

    public int compareTo(BlueprintPlugin.Attribute a)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<BlueprintPlugin.Attribute>`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Copyright © 2011. All Rights Reserved.